/*!
 * 結果部(frame name が "RESULT") の blockUI
 *
 */

jQuery(function ($) {

	// 検索中レイヤーの表示
	$.fnblockUI = function fnblockUI() {
		$.blockUI(
			{
				message: '処理中です・・・',
				css: {
					border: 'none',
					padding: '10px',
					backgroundColor: '#333',
					opacity: 0.8,
					color: '#fff'
				},
		//		overlayCSS: {
		//			backgroundColor: '#000',
		//			opacity: 0.6
		//		},
				onOverlayClick: $.unblockUI
			}
		);
	};

	// 検索中レイヤーの破棄
	$.fnUnblockUI = function fnUnblockUI() {
		$.unblockUI();
	};

	// ボタンをクリックした場合
	$(":input[type=submit]").click(
		function() {
			$.fnblockUI();
		}
	);

});
